######################
#
# add.bz2
#
# As with initrd.sq, we want to build this every time it's called.
#
########################

add-package:
	#
	# Scripts:
	#
	cp $(SCRIPTS_DIR)/udhcpcrenew.sh $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/renew-dnsmasq.sh $(ADD_MASTER)/etc/.
	# cp $(SCRIPTS_DIR)/fakeleases.sh $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/udhcpd.conf.sh $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/login.ini $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/profile $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/busybox.conf $(ADD_MASTER)/etc/.
	cp $(SCRIPTS_DIR)/wshaper.htb $(ADD_MASTER)/sbin/.
	[ -d /usr/i386-uclibc-linux ] || mkdir /usr/i386-uclibc-linux
	[ -d /usr/i386-uclibc-linux/lib ] || ln -sf /lib /usr/i386-uclibc-linux/lib

	echo $(FLOPPYFW_VERSION) > $(ADD_MASTER)/etc/floppyfw_version
	-rm $(ADD_MASTER)/etc/version
	ln -s $(ADD_MASTER)/etc/floppyfw_version $(ADD_MASTER)/etc/version

	chown -R root.root $(ADD_MASTER)
	
	(cd $(ADD_MASTER); rm -rf tmp/*; tar -cpvf $(TMP_DIR)/add.tar *);
	$(LZMAC) $(TMP_DIR)/add.tar > $(ADD_DIR)/add.ffw
	/usr/bin/bzip2 -9 $(TMP_DIR)/add.tar
	mv $(TMP_DIR)/add.tar.bz2 $(ADD_DIR)/add.bz2

add-clean: 
	-rm -f $(ADD_DIR)/add.bz2
	-rm -f $(ADD_DIR)/add.ffw
