FLASH_DIR=$(BASE_DIR)/floppyfw-$(FLOPPYFW_VERSION)-flash

$(FLASH_DIR):
	-mv $(FLASH_DIR).old $(FLASH_DIR).old2
	-mv $(FLASH_DIR) $(BASE_DIR)/$(FLASH_DIR).old
	-rm -rf $(FLASH_DIR).old2
	-mkdir $(FLASH_DIR)

	mkdir $(FLASH_DIR)/packages
	mkdir $(FLASH_DIR)/modules
	mkdir $(FLASH_DIR)/live

	cp $(INITRD_DIR)/initrd.sq $(FLASH_DIR)/initrd.sq
	cp $(ADD_DIR)/add.ffw $(FLASH_DIR)/.

	cp $(SCRIPTS_DIR)/config $(FLASH_DIR)/.

	cp $(SCRIPTS_DIR)/hosts $(FLASH_DIR)/.
	cp $(SCRIPTS_DIR)/ethers $(FLASH_DIR)/.
	cp $(SCRIPTS_DIR)/firewall.ini $(FLASH_DIR)/.
	cp $(SCRIPTS_DIR)/network.ini $(FLASH_DIR)/.
	cp $(SCRIPTS_DIR)/floppyfw.ini $(FLASH_DIR)/.
	cat $(SCRIPTS_DIR)/floppyfw.msg \
		| sed -e 's/FLOPPYFW_VERSION/$(FLOPPYFW_VERSION)/' \
		> $(FLASH_DIR)/floppyfw.msg
	cp $(SCRIPTS_DIR)/syslinux.cfg-flash $(FLASH_DIR)/syslinux.cfg
	cp $(SCRIPTS_DIR)/modules.lst $(FLASH_DIR)/modules.lst
	cp -a $(MODULES_DIR)/lib/modules $(FLASH_DIR)/live/.
	cp $(LINUX_KERNEL) $(FLASH_DIR)/vmlinuz

	cp $(PACKAGES_DIR)/ppp.ffw $(FLASH_DIR)/packages/.

	cp $(PACKAGES_DIR)/pcmcia-cs.ffw $(FLASH_DIR)/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-pcmcia.ini $(FLASH_DIR)/packages/.
	cp $(PACKAGES_DIR)/scripts/pre-wireless.ini $(FLASH_DIR)/packages/.

flashimage: $(PACKAGES_DIR)/ppp.ffw $(PACKAGES_DIR)/wireless-tools.ffw $(PACKAGES_DIR)/pcmcia-cs.ffw initrd-ide add-package $(FLASH_DIR) 

flash-clean:
	-rm -rf  $(FLASH_DIR)

flash-dirclean:
	-rm -rf  $(FLASH_DIR)
